Skip to content

FreeType » Docs » Controlling FreeType Modules » The auto-hinter

# The auto-hinter

## Synopsis

While FreeType's auto-hinter doesn't expose API functions by itself, it is possible to control its behaviour with `FT_Property_Set` and `FT_Property_Get`. The following lists the available properties together with the necessary macros and structures.

Note that the auto-hinter's module name is ‘autofitter’ for historical reasons.

Available properties are `increase-x-height`, `no-stem-darkening` (experimental), `darkening-parameters` (experimental), `glyph-to-script-map` (experimental), `fallback-script` (experimental), and `default-script` (experimental), as documented in the ‘Driver properties’ section.